# Publications

## Citing ProxyStore

[![DOI](https://zenodo.org/badge/357984234.svg)](https://zenodo.org/badge/latestdoi/357984234)

If you use ProxyStore or any of this code in your work, please cite the following two papers.

* **[Accelerating Communications in Federated Applications with Transparent Object Proxies](https://dl.acm.org/doi/10.1145/3581784.3607047).**
  *The original ProxyStore paper. Introduces the core proxy model for distributed object management and the ProxyStore framework stack.*
  > J. Gregory Pauloski, Valerie Hayot-Sasson, Logan Ward, Nathaniel Hudson, Charlie Sabino, Matt Baughman, Kyle Chard, and Ian Foster. 2023. Accelerating Communications in Federated Applications with Transparent Object Proxies. In Proceedings of the International Conference for High Performance Computing, Networking, Storage and Analysis (SC '23). Association for Computing Machinery, New York, NY, USA, Article 59, 1–15. https://doi.org/10.1145/3581784.3607047
* **[Object Proxy Patterns for Accelerating Distributed Applications](https://arxiv.org/abs/2407.01764).**
  *Extends ProxyStore with higher-level proxy-based patterns for distributed futures, streaming, and ownership.*
  > J. Gregory Pauloski, Valerie Hayot-Sasson, Logan Ward, Alexander Brace, André Bauer, Kyle Chard, Ian Foster. 2024. Object Proxy Patterns for Accelerating Distributed Applications. arXiv Preprint.

**BibTeX Citations**

```bib
@inproceedings{pauloski2023proxystore,
    author = {Pauloski, J. Gregory and Hayot-Sasson, Valerie and Ward, Logan and Hudson, Nathaniel and Sabino, Charlie and Baughman, Matt and Chard, Kyle and Foster, Ian},
    title = {{Accelerating Communications in Federated Applications with Transparent Object Proxies}},
    address = {New York, NY, USA},
    articleno = {59},
    booktitle = {Proceedings of the International Conference for High Performance Computing, Networking, Storage and Analysis},
    doi = {10.1145/3581784.3607047},
    isbn = {9798400701092},
    location = {Denver, CO, USA},
    numpages = {15},
    publisher = {Association for Computing Machinery},
    series = {SC '23},
    url = {https://doi.org/10.1145/3581784.3607047},
    year = {2023}
}

@misc{pauloski2024proxystore,
    author = {J. Gregory Pauloski and Valerie Hayot-Sasson and Logan Ward and Alexander Brace and André Bauer and Kyle Chard and Ian Foster},
    title = {{Object Proxy Patterns for Accelerating Distributed Applications}},
    archiveprefix = {arXiv},
    eprint = {2407.01764},
    primaryclass = {cs.DC},
    url = {https://arxiv.org/abs/2407.01764},
    year = {2024}
}
```

## Featured Papers

*If you use ProxyStore in your work and would like to be featured on this page, open an [issue](https://github.com/proxystore/proxystore/issues){target=_blank} or propose a [pull request](https://github.com/proxystore/proxystore/pulls){target=_blank} on GitHub.*

* J. Gregory Pauloski, Valerie Hayot-Sasson, Maxime Gonthier, Nathaniel Hudson, Haochen Pan, Sicheng Zhou, Ian Foster, and Kyle Chard. ["TaPS: A Performance Evaluation Suite for Task-based Execution Frameworks."](https://arxiv.org/abs/2408.07236){target=_blank} *20th IEEE International Conference on e-Science*. IEEE, 2024.
* Devaraj, Harish, Shaleeza Sohail, Boyang Li, Nathaniel Hudson, Matt Baughman, Kyle Chard, Ryan Chard, Enrico Casella, Ian Foster, and Omer Rana. ["RuralAI in Tomato Farming: Integrated Sensor System, Distributed Computing and Hierarchical Federated Learning for Crop Health Monitoring."](https://doi.org/10.1109/LSENS.2024.3384935){target=_blank} *IEEE Sensors Letters*. IEEE, 2024.
* Gautham Dharuman, Logan Ward, Heng Ma, Priyanka V. Setty, Ozan Gokdemir, Sam Foreman, Murali Emani, Kyle Hippe, Alexander Brace, Kristopher Keipert, Thomas Gibbs, Ian Foster, Anima Anandkumar, Venkatram Vishwanath, and Arvind Ramanathan. ["Protein Generation via Genome-scale Language Models with Bio-physical Scoring."](https://dl.acm.org/doi/abs/10.1145/3624062.3626087){target=_blank} *In Proceedings of the SC '23 Workshops of The International Conference on High Performance Computing, Network, Storage, and Analysis*. ACM, 2023.
* Alok Kamatar, Mansi Sakarvadia, Valerie Hayot-Sasson, Kyle Chard, and Ian Foster. ["Lazy Python Dependency Management in Large-Scale Systems."](https://ieeexplore.ieee.org/document/10254910){target=_blank} *In Proceedings of IEEE 19th International Conference on e-Science.* IEEE, 2023.
* Hassan Harb, Sarah N. Elliot, Logan Ward, Ian T. Foster, Stephen J. Klippenstein, Larry A. Curtiss, and Rajeev Surendran Assary. ["Uncovering novel liquid organic hydrogen carriers: a systematic exploration of chemical compound space using cheminformatics and quantum chemical methods."](https://doi.org/10.1039/D3DD00123G){target=_blank} *In Digital Discovery.* Royal Society of Chemistry, 2023.
* Nicholson Collier, Justin M. Wozniak, Abby Stevens, Yadu Babuji, Mickaël Binois, Arindam Fadikar, Alexandra Würth, Kyle Chard, and Jonathan Ozik. ["Developing Distributed High-performance Computing Capabilities of an Open Science Platform for Robust Epidemic Analysis."](https://arxiv.org/abs/2304.14244){target=_blank} arXiv, 2023.
* Logan Ward, J. Gregory Pauloski, Valerie Hayot-Sasson, Ryan Chard, Yadu Babuji, Ganesh Sivaraman, Sutanay Choudhury, Kyle Chard, Rajeev Thakur, and Ian Foster. ["Cloud Services Enable Efficient AI-Guided Simulation Workflows across Heterogeneous Resources."](https://arxiv.org/abs/2303.08803){target=_blank} *In Proceedings of Heterogeneity in Computing Workshop of the International Parallel and Distributed Processing Symposium.* IEEE, 2023.
* Maxim Zvyagin et al. ["GenSLMs: Genome-scale language models reveal SARS-CoV-2 evolutionary dynamics."](https://www.biorxiv.org/content/10.1101/2022.10.10.511571v2){target=_blank} bioRxiv, 2022.
* Logan Ward, Ganesh Sivaraman, J. Gregory Pauloski, Yadu Babuji, Ryan Chard, Naveen Dandu, Paul C. Redfern, Rajeev S. Assary, Kyle Chard, Larry A. Curtiss, Rajeev Thakur, and Ian Foster. ["Colmena: Scalable machine-learning-based steering of ensemble simulations for high performance computing."](https://arxiv.org/abs/2110.02827){target=_blank} *In IEEE/ACM Workshop on Machine Learning in High Performance Computing Environments.* IEEE, 2021.

## Presentations

* [[Slides](https://gregpauloski.com/slides/pauloski-sc23-proxystore.pdf){target=_blank}] "Accelerating Communications in Federated Applications with Transparent Object Proxies" presented at [SC23](https://sc23.conference-program.com/presentation/?id=pap224&sess=sess181){target=_blank}. 2023.
* [[Poster](https://gregpauloski.com/posters/gcasr2023-proxystore.pdf){target=_blank}] "Accelerating Communications in Federated Applications with Transparent Object Proxies" presented at the [Greater Chicago Area Systems Research Workshop (GCASR)](https://gcasr.org/posters){target=_blank}. 2023.
